<template>
	<v-card elevation="20">
		<v-card-title>Datos del domicilio</v-card-title>
		<v-form>
			<v-card-text>
				<v-row>
					<v-col cols="12" sm="3">
						<v-text-field
							v-model="addressData.state"
							prepend-icon="fas fa-flag"
							outlined
							readonly
							label="Estado"
							required
						/>
					</v-col>
					<v-col cols="12" sm="3">
						<v-text-field
							v-model="addressData.city"
							no-data-text="Seleccione antes un estado"
							prepend-icon="fas fa-flag"
							outlined
							readonly
							label="Municipio"
							required
						/>
					</v-col>
					<v-col cols="12" sm="6">
						<v-text-field
							v-model="addressData.neighborhood"
							prepend-icon="fas fa-flag"
							outlined
							readonly
							label="Colonia"
							required
						/>
					</v-col>
				</v-row>
				<!-- fila de direccion -->
				<v-row>
					<v-col cols="12" sm="5">
						<v-text-field
							v-model="addressData.street"
							prepend-icon="fas fa-road"
							outlined
							readonly
							label="Calle"
							required
						/>
					</v-col>
					<v-col cols="12" sm="4">
						<v-text-field
							v-model="addressData.number"
							prepend-icon="fas fa-home"
							outlined
							readonly
							label="Número"
							required
						/>
					</v-col>
					<v-col cols="12" sm="3">
						<v-text-field
							type="number"
							min="0"
							prepend-icon="fas fa-envelope-open"
							outlined
							readonly
							v-model="addressData.postalCode"
							label="Código postal"
							required
						/>
					</v-col>
				</v-row>
				<!-- fila de numeros telefónicos -->
				<v-row>
					<v-col cols="12" sm="4">
						<v-text-field
							type="number"
							v-model="addressData.mobilePhoneNumber"
							prepend-icon="fas fa-mobile-alt"
							outlined
							readonly
							min="0"
							label="Teléfono celular"
							required
						/>
					</v-col>
					<v-col cols="12" sm="4" v-if="addressData.housePhoneNumber !== ''">
						<v-text-field
							type="number"
							v-model="addressData.housePhoneNumber"
							prepend-icon="fas fa-phone"
							outlined
							readonly
							min="0"
							label="Teléfono de casa"
							required
						/>
					</v-col>
				</v-row>
			</v-card-text>
		</v-form>
	</v-card>
</template>

<script>
import EventBus from "../../bus";

export default {
	name: "StudentAddressData",
	data: () => ({
		haveNumberPhone: "No",
		a: "Mexico",
		addressData: {
			state: "",
			city: "",
			neighborhood: "",
			street: "",
			number: "",
			postalCode: "",
			housePhoneNumber: "",
			mobilePhoneNumber: ""
		}
	}),
	mounted() {
		EventBus.$on("sendAddressData", data => {
			this.addressData.state = data.state;
			this.addressData.city = data.city;
			this.addressData.neighborhood = data.neighborhood;
			this.addressData.street = data.street;
			this.addressData.number = data.number;
			this.addressData.postalCode = data.postalCode;
			this.addressData.mobilePhoneNumber = data.mobilePhoneNumber;
			this.addressData.housePhoneNumber = data.housePhoneNumber;
		});
	}
};
</script>